Bug 106806 - LTC4879-fdisk -l still report old size after adding new disks to RAID5 disk array
LTC4879-fdisk -l still report old size after adding new disks to RAID5 disk a...
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-10-10 15:21 EDT by IBM Bug Proxy
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-10-13 04:04:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2003-10-10 15:21:38 EDT
The following has be reported by IBM LTC:  
Hardware Environment:
   p630 7028-6C4
   5703 RAID Adapter
   2104 Storage exp plus, which has 11 disks in the slots
   all the disks is 18G

Software Environment:
   RHEL3 RC3 
   kernel: 2.4.21-4.EL

Steps to Reproduce:
1. using sisconfig to format 5 disks for advanced function
2. using sisconfig to create a RAID5 disk array(/dev/sdc), which is composed of 
the first three disks
3. "fdisk -l /dev/sdc" will report a 36G /dev/sdc
4. using sisconfig to add the 4th disk to disk array /dev/sdc
5. "fdisk -l /dev/sdc" will still report a 36G /dev/sdc

Actual Results:
   "fdisk -l" still report old size after adding new disks to RAID5 disk array

Expected Results:
    "fdisk -l /dev/sdc" should report a 54G /dev/sdc   

Additional Information:
1. after using "w" command of "fdisk" to reread partition table and sync disk, 
trying another "fdisk -l /dev/sdc" will report the correct size: 54G
2. after adding the 5th disk to the disk array /dev/sdc, "fdisk -l /dev/sdc" 
report the old size too.*** Bug 4878 has been marked as a duplicate of this bug.
***Over to the Service team to track into Update 1.Glen / Greg
Please open RHEL 3 RC1 problem.  Thanks
Comment 1 Arjan van de Ven 2003-10-10 15:27:10 EDT
which block/scsi device is this?
what is sisconfig ?
it seems to not do the right things to notify the kernel 
Comment 2 IBM Bug Proxy 2003-10-12 22:02:50 EDT
------ Additional Comments From zhouwu@cn.ibm.com  2003-12-10 21:43 -------
5703 is a PCI-X Dual-Channel Ultra320 SCSI RAID adapter. 
2104 is a external storage device, which could contain up to 14 SCSI hard disks.
sisconfig is a utility programs for the ibmsis storage driver, which could 
config RAID disk arrays. It is a part of ibmsis-utils. 
Comment 3 Arjan van de Ven 2003-10-13 04:04:35 EDT
Either of these is not doing the invalidates it should be; however that's not
ours to fix given the proprietary nature of ibmsis.
Closing as "NOTABUG" since that's the closest to "NOTOURBUG".
Comment 4 IBM Bug Proxy 2003-10-13 10:04:35 EDT
------ Additional Comments From bjking1@us.ibm.com(prefers email via brking@us.ibm.com)  2003-13-10 08:57 -------
I took a look at the sisconfig code and this looks to be a bug in sisconfig.
Assigning to Mike Anderson. 

Note You need to log in before you can comment on or make changes to this bug.